# \Thelia\CommandContainerAwareCommand

Command.

## Summary

Methods
Properties
Constants
setContainer()
No public properties found
No constants found
getContainer()
No protected properties found
N/A
No private methods found
$container
N/A

File
  Command/ContainerAwareCommand.php
Package
  \Default
Class hierarchy
  \Symfony\Component\Console\Command\Command
  \Thelia\Command\ContainerAwareCommand

## Tags

author | Fabien Potencier fabien@symfony.com

## Properties

### $container

    $container : \Symfony\Component\DependencyInjection\ContainerInterface

#### Type

\Symfony\Component\DependencyInjection\ContainerInterface

#

## Tags

None found

## Methods

### setContainer()

    setContainer(\Symfony\Component\DependencyInjection\ContainerInterface $container)

#### Parameters

\Symfony\Component\DependencyInjection\ContainerInterface | $container |

#

See also

## Tags

None found

### getContainer()

    getContainer() : \Symfony\Component\DependencyInjection\ContainerInterface

#### Returns

\Symfony\Component\DependencyInjection\ContainerInterface

#

## Tags

None found

### ContainerAwareCommand.php